| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Cascade write
Load/Store Operations » Streams

## Write 512-bit accumulator to cascade stream with enable bit
void | put_mcd (v16acc32 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8acc64 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v4cacc64 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16accfloat a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8caccfloat a, int en)
| Write 512-bit data out to cascade stream.

## Write 512-bit vector to cascade stream with enable bit
void | put_mcd (v128int4 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v128uint4 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64int8 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64uint8 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32int16 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32uint16 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16cint16 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16int32 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16uint32 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8cint32 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8cfloat a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16cbfloat16 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32bfloat16 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16float a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32float16 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64float8 a, int en)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64bfloat8 a, int en)
| Write 512-bit data out to cascade stream.

## Write 512-bit accumulator to cascade stream
void | put_mcd (v16acc32 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8acc64 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v4cacc64 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16accfloat a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8caccfloat a)
| Write 512-bit data out to cascade stream.

## Write 512-bit vector to cascade stream
void | put_mcd (v128int4 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v128uint4 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64int8 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64uint8 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32int16 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32uint16 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16cint16 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16int32 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16uint32 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8cint32 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v8cfloat a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16cbfloat16 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32bfloat16 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v16float a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v32float16 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64float8 a)
| Write 512-bit data out to cascade stream.
void | put_mcd (v64bfloat8 a)
| Write 512-bit data out to cascade stream.

## Write 1024-bit accumulator to cascade stream with enable bit
void | put_mcd (v32acc32 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16acc64 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v8cacc64 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16caccfloat a, int en)
| Write 1024-bit data out to cascade stream.

## Write 1024-bit vector to cascade stream with enable bit
void | put_mcd (v256int4 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v256uint4 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v128int8 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v128uint8 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64int16 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64uint16 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32cint16 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32int32 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32uint32 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16cint32 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16cfloat a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32cbfloat16 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64bfloat16 a, int en)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64float16 a, int en)
| Write 1024-bit data out to cascade stream.

## Write 1024-bit accumulator to cascade stream
void | put_mcd (v32acc32 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16acc64 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v8cacc64 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16caccfloat a)
| Write 1024-bit data out to cascade stream.

## Write 1024-bit vector to cascade stream
void | put_mcd (v256int4 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v256uint4 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v128int8 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v128uint8 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64int16 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64uint16 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32cint16 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32int32 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32uint32 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16cint32 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v16cfloat a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v32cbfloat16 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64bfloat16 a)
| Write 1024-bit data out to cascade stream.
void | put_mcd (v64float16 a)
| Write 1024-bit data out to cascade stream.

## Detailed Description

## Function Documentation

## ◆ put_mcd() [1/80]

void put_mcd | ( | v128int4 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [2/80]

void put_mcd | ( | v128int4 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [3/80]

void put_mcd | ( | v128int8 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [4/80]

void put_mcd | ( | v128int8 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [5/80]

void put_mcd | ( | v128uint4 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [6/80]

void put_mcd | ( | v128uint4 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [7/80]

void put_mcd | ( | v128uint8 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [8/80]

void put_mcd | ( | v128uint8 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [9/80]

void put_mcd | ( | v16acc32 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [10/80]

void put_mcd | ( | v16acc32 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [11/80]

void put_mcd | ( | v16acc64 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [12/80]

void put_mcd | ( | v16acc64 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [13/80]

void put_mcd | ( | v16accfloat | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [14/80]

void put_mcd | ( | v16accfloat | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [15/80]

void put_mcd | ( | v16caccfloat | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [16/80]

void put_mcd | ( | v16caccfloat | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [17/80]

void put_mcd | ( | v16cbfloat16 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [18/80]

void put_mcd | ( | v16cbfloat16 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [19/80]

void put_mcd | ( | v16cfloat | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [20/80]

void put_mcd | ( | v16cfloat | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [21/80]

void put_mcd | ( | v16cint16 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [22/80]

void put_mcd | ( | v16cint16 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [23/80]

void put_mcd | ( | v16cint32 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [24/80]

void put_mcd | ( | v16cint32 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [25/80]

void put_mcd | ( | v16float | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [26/80]

void put_mcd | ( | v16float | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [27/80]

void put_mcd | ( | v16int32 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [28/80]

void put_mcd | ( | v16int32 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [29/80]

void put_mcd | ( | v16uint32 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [30/80]

void put_mcd | ( | v16uint32 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [31/80]

void put_mcd | ( | v256int4 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [32/80]

void put_mcd | ( | v256int4 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [33/80]

void put_mcd | ( | v256uint4 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [34/80]

void put_mcd | ( | v256uint4 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [35/80]

void put_mcd | ( | v32acc32 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [36/80]

void put_mcd | ( | v32acc32 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [37/80]

void put_mcd | ( | v32bfloat16 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [38/80]

void put_mcd | ( | v32bfloat16 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [39/80]

void put_mcd | ( | v32cbfloat16 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [40/80]

void put_mcd | ( | v32cbfloat16 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [41/80]

void put_mcd | ( | v32cint16 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [42/80]

void put_mcd | ( | v32cint16 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [43/80]

void put_mcd | ( | v32float16 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [44/80]

void put_mcd | ( | v32float16 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [45/80]

void put_mcd | ( | v32int16 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [46/80]

void put_mcd | ( | v32int16 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [47/80]

void put_mcd | ( | v32int32 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [48/80]

void put_mcd | ( | v32int32 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [49/80]

void put_mcd | ( | v32uint16 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [50/80]

void put_mcd | ( | v32uint16 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [51/80]

void put_mcd | ( | v32uint32 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [52/80]

void put_mcd | ( | v32uint32 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [53/80]

void put_mcd | ( | v4cacc64 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [54/80]

void put_mcd | ( | v4cacc64 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [55/80]

void put_mcd | ( | v64bfloat16 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [56/80]

void put_mcd | ( | v64bfloat16 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [57/80]

void put_mcd | ( | v64bfloat8 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [58/80]

void put_mcd | ( | v64bfloat8 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [59/80]

void put_mcd | ( | v64float16 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [60/80]

void put_mcd | ( | v64float16 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [61/80]

void put_mcd | ( | v64float8 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [62/80]

void put_mcd | ( | v64float8 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [63/80]

void put_mcd | ( | v64int16 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [64/80]

void put_mcd | ( | v64int16 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [65/80]

void put_mcd | ( | v64int8 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [66/80]

void put_mcd | ( | v64int8 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [67/80]

void put_mcd | ( | v64uint16 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [68/80]

void put_mcd | ( | v64uint16 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [69/80]

void put_mcd | ( | v64uint8 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [70/80]

void put_mcd | ( | v64uint8 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [71/80]

void put_mcd | ( | v8acc64 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [72/80]

void put_mcd | ( | v8acc64 | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [73/80]

void put_mcd | ( | v8cacc64 | a | ) |

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [74/80]

void put_mcd | ( | v8cacc64 | a,
|  | int | en )

Write 1024-bit data out to cascade stream.

## ◆ put_mcd() [75/80]

void put_mcd | ( | v8caccfloat | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [76/80]

void put_mcd | ( | v8caccfloat | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [77/80]

void put_mcd | ( | v8cfloat | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [78/80]

void put_mcd | ( | v8cfloat | a,
|  | int | en )

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [79/80]

void put_mcd | ( | v8cint32 | a | ) |

Write 512-bit data out to cascade stream.

## ◆ put_mcd() [80/80]

void put_mcd | ( | v8cint32 | a,
|  | int | en )

Write 512-bit data out to cascade stream.